### Method

# Gtk MediaStream set_loop

#### Declaration [src]

    void
    gtk_media_stream_set_loop (
      GtkMediaStream* self,
      gboolean loop
    )

#### Description [src]

Sets whether the stream should loop.

In this case, it will attempt to restart playback from the beginning instead of stopping at the end.

Not all streams may support looping, in particular non-seekable streams. Those streams will ignore the loop setting and just end.

Sets property | `Gtk.MediaStream:loop`

#### Parameters

`loop`

  Type: `gboolean`

  `TRUE` if the stream should loop.